<?php echo $header; ?>
<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>
<div class="box">
  <div class="heading">
    <h1><img src="view/image/payment.png" alt="" /> <?php echo $heading_title; ?></h1>    
    <div class="buttons"><a onclick="$('#form').submit();" class="button"><span><?php echo $button_save; ?></span></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a></div>
  </div>
  <div class="content">
    <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
      <table class="form">
        <?php foreach ($languages as $language) { ?>
        <tr>
          <td><?php echo $entry_bank; ?></td>
          <td><textarea name="smilepay_atm_description_<?php echo $language['language_id']; ?>" cols="80" rows="10"><?php echo ${'smilepay_atm_description_' . $language['language_id']}; ?></textarea>
            <img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" style="vertical-align: top;" /><br />
            </td>
        </tr>
        <?php } ?>
        <tr>
          <td><span class="required">*</span> <?php echo $entry_dcvc; ?></td>
          <td><input type="text" name="smilepay_atm_dcvc" value="<?php echo isset($smilepay_atm_dcvc) ? $smilepay_atm_dcvc : ''; ?>" size="80" /><br /><?php if (isset($error_warning_dcvc)) { ?><span class="error"><?php echo $error_warning_dcvc; ?></span><?php } ?></td>
        </tr>
        <tr>
          <td><span class="required">*</span> <?php echo $entry_verifykey; ?></td>
          <td><input type="text" name="smilepay_atm_verifykey" value="<?php echo isset($smilepay_atm_verifykey) ? $smilepay_atm_verifykey : ''; ?>" size="80" /><br /><?php if (isset($error_warning_verifykey)) { ?><span class="error"><?php echo $error_warning_verifykey; ?></span><?php } ?><?php echo $entry_verifykey_description; ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_mid; ?></td>
           <td><select name="smilepay_atm_mid">
              <?php if ($smilepay_atm_mid) { ?>
              <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
              <option value="0"><?php echo $text_disabled; ?></option>
              <?php } else { ?>
              <option value="1"><?php echo $text_enabled; ?></option>
              <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_mid_value; ?></td>
          <td><input size="8" type="text" name="smilepay_atm_mid_value" value="<?php echo isset($smilepay_atm_mid_value) ? $smilepay_atm_mid_value : ''; ?>" size="80" /><br /><?php echo $entry_mid_description; ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_limitday; ?></td>
          <td><input size="8" type="text" name="smilepay_atm_limitday" value="<?php echo isset($smilepay_atm_limitday) ? $smilepay_atm_limitday : ''; ?>" size="80" /><br /><?php echo $entry_limitday_description; ?></td>
        </tr>     
        <tr>
          <td><?php echo $entry_order_status; ?></td>
          <td><select name="smilepay_atm_order_status_id">
              <?php foreach ($order_statuses as $order_status) { ?>
              <?php if ($order_status['order_status_id'] == $smilepay_atm_order_status_id) { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_ordered_status; ?></td>
          <td><select name="smilepay_atm_ordered_status_id">
              <?php foreach ($order_statuses as $order_status) { ?>
              <?php if ($order_status['order_status_id'] == $smilepay_atm_ordered_status_id) { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_geo_zone; ?></td>
          <td><select name="smilepay_atm_geo_zone_id">
              <option value="0"><?php echo $text_all_zones; ?></option>
              <?php foreach ($geo_zones as $geo_zone) { ?>
              <?php if ($geo_zone['geo_zone_id'] == $smilepay_atm_geo_zone_id) { ?>
              <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_status; ?></td>
          <td><select name="smilepay_atm_status">
              <?php if ($smilepay_atm_status) { ?>
              <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
              <option value="0"><?php echo $text_disabled; ?></option>
              <?php } else { ?>
              <option value="1"><?php echo $text_enabled; ?></option>
              <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_sort_order; ?></td>
          <td><input type="text" name="smilepay_atm_sort_order" value="<?php echo $smilepay_atm_sort_order; ?>" size="1" /></td>
        </tr>
      </table>
    </form>
  </div>
</div>
<?php echo $footer; ?>