<?php 
class ControllerCheckoutSmilePayCreditSuccess extends Controller { 
	public function index() {   
     	  
		if (isset($this->session->data['order_id'])) {
			$this->cart->clear();			
			unset($this->session->data['shipping_method']);
			unset($this->session->data['shipping_methods']);
			unset($this->session->data['payment_method']);
			unset($this->session->data['payment_methods']);
			unset($this->session->data['guest']);
			unset($this->session->data['comment']);
			unset($this->session->data['order_id']);	
			unset($this->session->data['coupon']);			
		} 
  
      $this->language->load('checkout/smilepay_credit_success');
      $process_date_time = $_REQUEST['Process_date'].$_REQUEST['Process_time'];
      $classif           = $_REQUEST['Classif'];
      $data_id           = $_REQUEST['Data_id'];
      $amount            = $_REQUEST['Amount'];
      $purchamt          = $_REQUEST['Purchamt'];      
      $process_date_time = $_REQUEST['Process_date'].$_REQUEST['Process_time'];
      $auth_code         = $_REQUEST['Auth_code'];
      $lastPan           = $_REQUEST['LastPan'];           
      $smseid            = $_REQUEST['Smseid'];
      $response_id       = $_REQUEST['Response_id'];
  		$dcvc              = $this->config->get('smilepay_credit_dcvc'); // 您的商店代號
  		
      $mid               = $this->config->get('smilepay_credit_mid');
      $mid_value         = trim($this->config->get('smilepay_credit_mid_value'));
      $mid_smilepay      = $_REQUEST['Mid_smilepay'];
      
       if($mid == true){
          if(!$this->midfun($mid_value,$purchamt,$smseid,$mid_smilepay)){
            echo  "Possible fraud";
            exit();
         }
       }        
      $this->load->model('checkout/order');	
		  $order_info = $this->model_checkout_order->getOrder($data_id);
       
      if($amount == intval(round($order_info['total'])) && ($classif == 'A' && $response_id=='1')){          
        $comment  = "追蹤碼:".$smseid . "交易時間：".$process_date_time."刷卡成功授權碼：".$auth_code."後四碼：".$lastPan;
        $ordered_status=$this->config->get('smilepay_credit_ordered_status_id');
        $this->load->model('payment/smilepay_credit');
        $this->model_payment_smilepay_credit->paidorder($data_id,$ordered_status,$comment);           
        $this->document->setTitle($this->language->get('heading_title')); 
        $this->data['heading_title'] = $this->language->get('heading_title');
        $this->data['error'] = false;
        $this->data['error_msg']='';
        $this->data['msg'] = sprintf($this->language->get('text_message'), HTTPS_SERVER . 'index.php?route=account/account', HTTPS_SERVER . 'index.php?route=account/history', HTTP_SERVER . 'index.php?route=information/contact');                  
      }
      else {

        $comment  = "追蹤碼:".$smseid ."傳送時間：".$process_date_time."刷卡失敗：".iconv("big5","UTF-8", $_REQUEST['Errdesc']);                  
        $ordered_status=$this->config->get('smilepay_credit_ordered_fail_status_id');
        $this->load->model('payment/smilepay_credit');
        $this->model_payment_smilepay_credit->paidorder($data_id,$ordered_status,$comment);        
        $this->document->setTitle($this->language->get('heading_title_error'));        
        $this->data['heading_title'] = $this->language->get('heading_title_error');
        $this->data['error'] = true;
        $this->data['error_msg']=iconv("big5","UTF-8", $_REQUEST['Errdesc']);                   
        $this->data['msg'] = $this->language->get('text_error');
      }
      
      $this->data['breadcrumbs'] = array(); 
  
    	$this->data['breadcrumbs'][] = array(
      	'href'      => $this->url->link('common/home'),
      	'text'      => $this->language->get('text_home'),
      	'separator' => false
    	); 
  
    	$this->data['breadcrumbs'][] = array(
      	'href'      => $this->url->link('checkout/cart'),
      	'text'      => $this->language->get('text_basket'),
      	'separator' => $this->language->get('text_separator')
    	);
  				
  		$this->data['breadcrumbs'][] = array(
  			'href'      => $this->url->link('checkout/checkout', '', 'SSL'),
  			'text'      => $this->language->get('text_checkout'),
  			'separator' => $this->language->get('text_separator')
  		);	
  					
    	$this->data['breadcrumbs'][] = array(
      	'href'      => $this->url->link('checkout/success'),
      	'text'      => $this->language->get('text_success'),
      	'separator' => $this->language->get('text_separator')
    	);      
    	
    	
      $this->data['text_title']=$this->language->get('text_title');       
      $this->data['button_continue'] = $this->language->get('text_success');
    	$this->data['continue'] = $this->url->link('common/home');                                             

		  
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/common/smilepay_success.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/common/smilepay_success.tpl';
		} else {
			$this->template = 'default/template/common/smilepay_credit_success.tpl';
		}
		
		$this->children = array(
			'common/column_left',
			'common/column_right',
			'common/content_top',
			'common/content_bottom',
			'common/footer',
			'common/header'	
		);                                            		
     		$this->response->setOutput($this->render());
  	}
  	
    // compute Mid      
    function midfun($Mid_value,$Amount,$Smseid,$Mid_smilepay){   
      $Amount = str_pad($Amount,8,'0',STR_PAD_LEFT);                   
      $Smseid= preg_replace('/[\D]/i','9',substr($Smseid,-4));      
      $dtotal=$Mid_value.$Amount.$Smseid;                              
      
      $i = 1;
      $sum = strlen($dtotal);
      $etemp=0;      
      while ($i <= $sum)
      {
        $ep = substr($dtotal,$i,1);
        $etemp = $etemp + $ep;                
        $i=$i+2;
      }                
      
      $i = 0;  
      $otemp=0;          
      while ($i <= $sum)
      {                                              
        $op = substr($dtotal,$i,1);
        $otemp = $otemp + $op;
        $i=$i+2;
      }
      $mid=($etemp*3)+($otemp*9);    
      
      if($Mid_smilepay == $mid){
        return true;
      }else{
        return false;
      }
         
    }   	
  	
}
?>