<?php
class ControllerPaymentSmilePayCredit extends Controller {
	protected function index() {
	  	  
		$this->language->load('payment/smilepay_credit');
	    
		$this->data['button_confirm'] = $this->language->get('button_confirm');		
	
    $this->load->model('checkout/order');	
		$order_info = $this->model_checkout_order->getOrder($this->session->data['order_id']);
		
    $this->data['action']  ='https://ssl.smse.com.tw/ezpos/mtmk_utf.asp';        		    
		$this->data['Dcvc']    =$this->config->get('smilepay_credit_dcvc'); 
		$this->data['Rvg2c']   ='1';
 	  //禮品券
		if (!empty($this->session->data['vouchers'])) {
			foreach ($this->session->data['vouchers'] as $voucher) {
				$this->data['Od_sob']  = 'vouchers-'.$voucher['to_name'];
			}
		}  

    //消費項目   
    if($this->cart->hasProducts()){  
		foreach ($this->cart->getProducts() as $product) {
    		$products = $product['quantity'] . '-' . $product['name'];
    	}
		   $this->data['Od_sob'] =   mb_substr($products,0,15,'utf-8');
    }    	    	
    
   	$this->data['Pay_zg']    = '1';//付款方式
    $this->data['Data_id']   = $this->session->data['order_id']; //賣家自訂交易編號    			
		//$amount = $this->currency->format($order_info['total'], $order_info['currency'], $order_info['value'], FALSE);
    $this->data['Amount']    =  intval(round($order_info['total']));
		$this->data['Pur_name']  =  $order_info['lastname'].$order_info['firstname'];
   	$this->data['Email']     =  $order_info['email'];
    $this->data['Address']   =  $order_info['shipping_postcode'].$order_info['shipping_address_1'];		
		$this->data['Tel_number']   =  $order_info['telephone'];		
		$this->data['Mobile_number']=  $order_info['fax'];		
    $this->data['Roturl']= $this->url->link('checkout/smilepay_credit_success', '', 'SSL');		
    $this->data['Verify_key']= $this->config->get('smilepay_credit_verifykey');
    $this->data['Pay_gdry']= 'TW';	    	

		$this->data['text_payment'] = $this->language->get('text_payment');
		$this->data['text_instruction'] = $this->language->get('text_instruction');
		$this->data['text_description'] = $this->language->get('text_description');
		$this->data['text_total_title'] = $this->language->get('text_total_title');
    $this->data['text_total_desc'] = $this->language->get('text_total_desc'); 				
		$this->data['text_total_error'] = $this->language->get('text_total_error');
		$this->data['smilepay_credit_description'] = nl2br($this->config->get('smilepay_credit_description_' . $this->config->get('config_language_id')));
		$this->data['total'] = intval(round($order_info['total']));		
		$this->data['continue'] =$this->url->link('checkout/smilepay_credit_success');

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/payment/smilepay_credit.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/payment/smilepay_credit.tpl';
		} else {
			$this->template = 'default/template/payment/smilepay_credit.tpl';
		}	
		
		$this->render(); 
	}
	
	public function confirm() {
		$this->load->model('checkout/order');		
		$this->model_checkout_order->confirm($this->session->data['order_id'], 2);
		$this->model_checkout_order->update($this->session->data['order_id'], $this->config->get('smilepay_credit_order_status_id'), 'Loading', true);    
	}
}
?>