<?php 
class ControllerPaymentSmilePay711c2c extends Controller {
	private $error = array(); 

	public function index() {
		$this->load->language('payment/smilepay_711c2c');    
    $this->document->setTitle($this->language->get('heading_title'));    
		$this->load->model('setting/setting');
			
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->load->model('setting/setting');
			
			$this->model_setting_setting->editSetting('smilepay_711c2c', $this->request->post);				
			
			$this->session->data['success'] = $this->language->get('text_success');

			//$this->redirect(HTTPS_SERVER . 'index.php?route=extension/payment&token=' . $this->session->data['token']);
			$this->redirect($this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'));
		}

		$this->data['heading_title']    = $this->language->get('heading_title');
		$this->data['text_enabled']     = $this->language->get('text_enabled');
		$this->data['text_disabled']    = $this->language->get('text_disabled');
		$this->data['text_all_zones']   = $this->language->get('text_all_zones');
		
		$this->data['entry_bank']       = $this->language->get('entry_bank');
		$this->data['entry_order_status']   = $this->language->get('entry_order_status');
    $this->data['entry_ordered_status'] = $this->language->get('entry_ordered_status');
    $this->data['entry_ordered_fail_status'] = $this->language->get('entry_ordered_faill_status');    
    		
		$this->data['entry_geo_zone']       = $this->language->get('entry_geo_zone');
		$this->data['entry_status']         = $this->language->get('entry_status');
		$this->data['entry_sort_order']     = $this->language->get('entry_sort_order');
		
		$this->data['button_save']          = $this->language->get('button_save');
		$this->data['button_cancel']        = $this->language->get('button_cancel');

		$this->data['tab_general']          = $this->language->get('tab_general'); 		
		$this->data['entry_dcvc']           = $this->language->get('entry_dcvc');
    $this->data['entry_total']         = $this->language->get('entry_total');		
		$this->data['entry_mid']            = $this->language->get('entry_mid');
		$this->data['entry_mid_value']      = $this->language->get('entry_mid_value');
		$this->data['entry_mid_description']= $this->language->get('entry_mid_description');
 		$this->data['entry_verifykey'] = $this->language->get('entry_verifykey');
		$this->data['entry_verifykey_description'] = $this->language->get('entry_verifykey_description');


 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		
 		if (isset($this->error['warning_dcvc'])) {
			$this->data['error_warning_dcvc'] = $this->error['warning_dcvc'];
		} else {
			$this->data['error_warning_dcvc'] = '';
		}
    
		if (isset($this->error['warning_verifykey'])) {
			$this->data['error_warning_verifykey'] = $this->error['warning_verifykey'];
		} else {
			$this->data['error_warning_verifykey'] = '';
		}

      $this->data['breadcrumbs'] = array(); 		
  	  $this->data['breadcrumbs'][] = array(  	             		
       		'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
   		);

   		$this->data['breadcrumbs'][] = array(
       		'href'      => $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'),
       		'text'      => $this->language->get('text_payment'),
      		'separator' => ' :: '
   		);

   		$this->data['breadcrumbs'][] = array(
       		'href'      => $this->url->link('payment/smilepay_711c2c', 'token=' . $this->session->data['token'], 'SSL'),           
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);   		
 
		$this->data['action'] = $this->url->link('payment/smilepay_711c2c', 'token=' . $this->session->data['token'], 'SSL');    				
		$this->data['cancel'] = $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL');

		$this->load->model('localisation/language');
		 		
		$languages = $this->model_localisation_language->getLanguages();
		
		foreach ($languages as $language) {
			if (isset($this->error['bank_' . $language['language_id']])) {
				$this->data['error_bank_' . $language['language_id']] = $this->error['bank_' . $language['language_id']];
			} else {
				$this->data['error_bank_' . $language['language_id']] = '';
			}
		}
         
		foreach ($languages as $language) {
			if (isset($this->request->post['smilepay_711c2c_description_' . $language['language_id']])) {
				$this->data['smilepay_711c2c_description_' . $language['language_id']] = $this->request->post['smilepay_711c2c_description_' . $language['language_id']];
			} else {
				$this->data['smilepay_711c2c_description_' . $language['language_id']] = $this->config->get('smilepay_711c2c_description_' . $language['language_id']);
			}
		}
		
		$this->data['languages'] = $languages;
		
		if (isset($this->request->post['smilepay_711c2c_order_status_id'])) {
			$this->data['smilepay_711c2c_order_status_id'] = $this->request->post['smilepay_711c2c_order_status_id'];
		} else {
			$this->data['smilepay_711c2c_order_status_id'] = $this->config->get('smilepay_711c2c_order_status_id'); 
		}
    		
		if (isset($this->request->post['smilepay_711c2c_ordered_status_id'])) {
			$this->data['smilepay_711c2c_ordered_status_id'] = $this->request->post['smilepay_711c2c_ordered_status_id'];
		} else {
			$this->data['smilepay_711c2c_ordered_status_id'] = $this->config->get('smilepay_711c2c_ordered_status_id'); 
		}  

		if (isset($this->request->post['smilepay_711c2c_ordered_faill_status_id'])) {
			$this->data['smilepay_711c2c_ordered_faill_status_id'] = $this->request->post['smilepay_711c2c_ordered_faill_status_id'];
		} else {
			$this->data['smilepay_711c2c_ordered_faill_status_id'] = $this->config->get('smilepay_711c2c_ordered_faill_status_id'); 
		}      
		$this->load->model('localisation/order_status');
		
		$this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();
		
		if (isset($this->request->post['smilepay_711c2c_geo_zone_id'])) {
			$this->data['smilepay_711c2c_geo_zone_id'] = $this->request->post['smilepay_711c2c_geo_zone_id'];
		} else {
			$this->data['smilepay_711c2c_geo_zone_id'] = $this->config->get('smilepay_711c2c_geo_zone_id'); 
		} 
		
		$this->load->model('localisation/geo_zone');										
		$this->data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();
		
		if (isset($this->request->post['smilepay_711c2c_status'])) {
			$this->data['smilepay_711c2c_status'] = $this->request->post['smilepay_711c2c_status'];
		} else {
			$this->data['smilepay_711c2c_status'] = $this->config->get('smilepay_711c2c_status');
		}
		
		if (isset($this->request->post['smilepay_711c2c_sort_order'])) {
			$this->data['smilepay_711c2c_sort_order'] = $this->request->post['smilepay_711c2c_sort_order'];
		} else {
			$this->data['smilepay_711c2c_sort_order'] = $this->config->get('smilepay_711c2c_sort_order');
		}
		
		if (isset($this->request->post['smilepay_711c2c_dcvc'])) {
			$this->data['smilepay_711c2c_dcvc'] = $this->request->post['smilepay_711c2c_dcvc'];
		} else {
			$this->data['smilepay_711c2c_dcvc'] = $this->config->get('smilepay_711c2c_dcvc');
		}
 		if (isset($this->request->post['smilepay_711c2c_verifykey'])) {
			$this->data['smilepay_711c2c_verifykey'] = $this->request->post['smilepay_711c2c_verifykey'];
		} else {
			$this->data['smilepay_711c2c_verifykey'] = $this->config->get('smilepay_711c2c_verifykey');
		}
		
 		if (isset($this->request->post['smilepay_711c2c_total'])) {
			$this->data['smilepay_711c2c_total'] = $this->request->post['smilepay_711c2c_total'];
		} else {
			$this->data['smilepay_711c2c_total'] = $this->config->get('smilepay_711c2c_total');
		}			    
		
		if (isset($this->request->post['smilepay_711c2c_mid'])) {
			$this->data['smilepay_711c2c_mid'] = $this->request->post['smilepay_711c2c_mid'];
		} else {
			$this->data['smilepay_711c2c_mid'] = $this->config->get('smilepay_711c2c_mid');
		}
		
		if (isset($this->request->post['smilepay_711c2c_mid_value'])) {
			$this->data['smilepay_711c2c_mid_value'] = $this->request->post['smilepay_711c2c_mid_value'];
		} else {
			$this->data['smilepay_711c2c_mid_value'] = $this->config->get('smilepay_711c2c_mid_value');
		}
		
		$this->template = 'payment/smilepay_711c2c.tpl';
		$this->children = array(
			'common/header',	
			'common/footer'	
		);
		
		//$this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));
		$this->response->setOutput($this->render());
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'payment/smilepay_711c2c')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		
		if (!$this->request->post['smilepay_711c2c_dcvc']) {
			$this->error['warning_dcvc'] = $this->language->get('error_dcvc');
		}
    
		if (!$this->request->post['smilepay_711c2c_verifykey']) {
			$this->error['warning_verifykey'] = $this->language->get('error_verifykey');
		}
		    

		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}	
	}
}
?>