<?php 
class ControllerCheckoutSmilePayCsvSuccess extends Controller { 
	public function index() {        	  
  		if (isset($this->session->data['order_id'])) {
  			$this->cart->clear();			
  			unset($this->session->data['shipping_method']);
  			unset($this->session->data['shipping_methods']);
  			unset($this->session->data['payment_method']);
  			unset($this->session->data['payment_methods']);
  			unset($this->session->data['guest']);
  			unset($this->session->data['comment']);
  			unset($this->session->data['order_id']);	
  			unset($this->session->data['coupon']);
        unset($this->session->data['doubleclick']);			
        unset($this->session->data['doubleclick']);
  		} 
      
      $this->language->load('checkout/smilepay_csv_success');       		
  		$this->document->setTitle($this->language->get('heading_title'));  		
  		$this->data['breadcrumbs'] = array();   
    	$this->data['breadcrumbs'][] = array(
      	'href'      => $this->url->link('common/home'),
      	'text'      => $this->language->get('text_home'),
      	'separator' => false
    	);                                      
    	$this->data['breadcrumbs'][] = array(
      	'href'      => $this->url->link('checkout/cart'),
      	'text'      => $this->language->get('text_basket'),
      	'separator' => $this->language->get('text_separator')
    	);                                      		
  		$this->data['breadcrumbs'][] = array(
  			'href'      => $this->url->link('checkout/checkout', '', 'SSL'),
  			'text'      => $this->language->get('text_checkout'),
  			'separator' => $this->language->get('text_separator')
  		);	                                    					
     	$this->data['breadcrumbs'][] = array(
        	'href'      => $this->url->link('checkout/smilepay_csv_success'),
        	'text'      => $this->language->get('text_success'),
         	'separator' => $this->language->get('text_separator')
     	);
  
  		if ($this->customer->isLogged()) {
      		$this->data['text_message'] = sprintf($this->language->get('text_customer'), $this->url->link('account/account', '', 'SSL'), $this->url->link('account/order', '', 'SSL'), $this->url->link('account/download', '', 'SSL'), $this->url->link('information/contact'));
  		} else {
      		$this->data['text_message'] = sprintf($this->language->get('text_guest'), $this->url->link('information/contact'));
  		} 
                                
    	$this->data['heading_title'] = $this->language->get('heading_title');
      $this->data['heading_title_error'] = $this->language->get('heading_title_error');
      
      parse_str(urldecode($this->session->data['smilepay_csv_params']), $notify);
      
      if ($notify['Status']=="1") {
        $this->data['error'] =false;
        $notify['Desc']=''; 
      }else{
        $this->data['error'] =true;
      }   
      
      $this->data['text_custom_bill'] = sprintf($this->language->get('text_custom_bill_customer'),$this->config->get('config_name'),$notify['Od_sob'],$notify['Barcode2'],$notify['Amount'],$notify['Data_id'] ,$this->config->get('config_url'),$this->config->get('config_telephone'));
      $this->data['text_custom_bill'] .= sprintf($this->language->get('text_custom_bill_shop'),$notify['Od_sob'],$notify['Barcode2'],$notify['Amount'],$notify['Data_id'] ,$this->config->get('config_url'),$this->config->get('config_telephone'));
      $this->data['text_custom_bill'] .= sprintf($this->language->get('text_custom_bill'),$notify['Barcode1'],$notify['Barcode2'],$notify['Barcode1'],$notify['PayEndDate'],$notify['Amount']);
      
      $this->data['text_error_message'] = sprintf($this->language->get('text_error_message'),$notify['Status'],$notify['Desc']);
      
      $this->data['button_continue'] = $this->language->get('button_continue');
      $this->data['continue'] = $this->url->link('common/home');
  		
  		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/common/smilepay_success.tpl')) {
  			$this->template = $this->config->get('config_template') . '/template/common/smilepay_success.tpl';
  		} else {
  			$this->template = 'default/template/common/smilepay_csv_success.tpl';
  		}
  		
                    
   		$this->children = array(
  			'common/column_left',
  			'common/column_right',
  			'common/content_top',
  			'common/content_bottom',
  			'common/footer',
  			'common/header'
  		);                      		
       		$this->response->setOutput($this->render());
  	}
    
   public function home() {
		unset($this->session->data['smilepay_csv_params']);
   }

	public function callback() { 
      $this->language->load('checkout/smilepay_csv_success');      
      $classif           = $_REQUEST['Classif'];
      $data_id           = $_REQUEST['Data_id'];
      $amount            = trim($_REQUEST['Amount']);
      $purchamt          = $_REQUEST['Purchamt'];      
      $process_date_time = $_REQUEST['Process_date'].$_REQUEST['Process_time'];
      $smseid            = trim($_REQUEST['Smseid']);
  		$dcvc              = $this->config->get('smilepay_csv_dcvc'); // 您的商店代號  		
      
      $mid               = $this->config->get('smilepay_csv_mid');
      $mid_value         = trim($this->config->get('smilepay_csv_mid_value'));
      $mid_smilepay      = $_REQUEST['Mid_smilepay'];                   
                                  
       if($mid == true){
         if(!$this->midfun($mid_value,$purchamt,$smseid,$mid_smilepay)){
            echo  "Possible fraud";
            exit();
         }
       }  
      $this->load->model('checkout/order');	
		  $order_info = $this->model_checkout_order->getOrder($data_id); 
      
      if($amount == intval(round($order_info['total'])) && $classif == 'C' ){
        
        if (!get_magic_quotes_gpc()) {
           $smseid  = addslashes($smseid);           
           $data_id = addslashes($data_id);
           $process_date_time = addslashes($process_date_time);
        }
                
        $comment  = "追蹤碼:".$smseid ."交易時間：".$process_date_time;
        $ordered_status=$this->config->get('smilepay_csv_ordered_status_id');
        $this->load->model('payment/smilepay_csv');
        $this->model_payment_smilepay_csv->paidorder($data_id,$ordered_status,$comment);          
        echo 'ocart';  
      } else {        
        echo 'fail';     
      }
		
   }
  	      	// compute Mid      
    function midfun($Mid_value,$Amount,$Smseid,$Mid_smilepay){   
      $Amount = str_pad($Amount,8,'0',STR_PAD_LEFT);                   
      $Smseid= preg_replace('/[\D]/i','9',substr($Smseid,-4));      
      $dtotal=$Mid_value.$Amount.$Smseid;                              
      
      $i = 1;
      $sum = strlen($dtotal);
      $etemp=0;      
      while ($i <= $sum)
      {
        $ep = substr($dtotal,$i,1);
        $etemp = $etemp + $ep;                
        $i=$i+2;
      }                
      
      $i = 0;  
      $otemp=0;          
      while ($i <= $sum)
      {                                              
        $op = substr($dtotal,$i,1);
        $otemp = $otemp + $op;
        $i=$i+2;
      }
      $mid=($etemp*3)+($otemp*9);    
      
      if($Mid_smilepay == $mid){
        return true;
      }else{
        return false;
      }
         
    } 
  	
}
?>